/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_GRUPTOTAPROD                                             */
/* Tabela : GRUPTOTAPROD                                                      */
/*                                                                            */
/* Criao:                                                                   */
/* 28/09/2006 - ARNALDO COUTINHO BRITO JNIOR                                 */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_GRUPTOTAPROD' and
            type = 'TR'                      and
            u.uid = o.uid           	     and
            u.name = USER)
   DROP TRIGGER DTULTATU_GRUPTOTAPROD
GO

CREATE TRIGGER DTULTATU_GRUPTOTAPROD
ON GRUPTOTAPROD
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'GRUPTOTAPROD', null, 'CDGRTOTAPROD=' + CDGRTOTAPROD + ';',                                     GETDATE() FROM DELETED)

   END
   ELSE BEGIN
      UPDATE GRUPTOTAPROD
      SET DTULTATUGRTO = GETDATE()
      FROM INSERTED
      WHERE (ISNULL(GRUPTOTAPROD.CDGRTOTAPROD,0) = ISNULL(INSERTED.CDGRTOTAPROD,0)) AND                          (ISNULL(GRUPTOTAPROD.NMGRTOTAPROD,0) = ISNULL(INSERTED.NMGRTOTAPROD,0));
   END;
END;
GO


-- VERSAO --
EXEC ATUVEROBJ 'DTULTATU_GRUPTOTAPROD','5.05.003';
GO

